=== examples/Legends/CMakeLists.txt ===
add_subdirectory(LegendAdvanced)
add_subdirectory(LegendOverDiagram)
add_subdirectory(LegendParameters)
add_subdirectory(LegendSimple)
