=== tests/DelayedData/CMakeLists.txt ===
add_executable(DelayedData main.cpp)

target_link_libraries(DelayedData KChart6 Qt::Widgets)
